> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get URL info

> Returns the info on a given URL.



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json post /action/get_url_info
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/get_url_info:
    post:
      tags:
        - Other
      summary: Get URL info
      description: Returns the info on a given URL.
      operationId: get-url-info
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetUrlInfoRequest'
            example:
              url: https://www.text.com
      responses:
        '200':
          description: URL info.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUrlInfoResponse'
              example:
                title: Text | AI Customer Service Engine that Drives Revenue
                description: >-
                  Text is an AI-powered customer service platform that helps
                  businesses deliver faster, smarter support and drive revenue
                  through every customer conversation.
                image_url: https://example.com/image.png
                image_original_url: https://example-original-url.com/image.png
                image_width: 200
                image_height: 200
                url: https://www.text.com
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    GetUrlInfoRequest:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          description: A valid website URL.
    GetUrlInfoResponse:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        image_url:
          type: string
          description: URL of the minified image hosted on the Text CDN.
        image_original_url:
          type: string
          description: URL of the original image.
        image_width:
          type: integer
        image_height:
          type: integer
        url:
          type: string
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````